function runMStimestepping_par(Private,Geometry,Mesh,Windings,settingsMagnetostatic,Materials,SubdomainProperty,SwitchDutyCycle)
% run several magnetostatic FE simulations in parallel - add one instance of the function (process)
% Private - structure with internal data of the FE solver 
% Geometry, Windings, Mesh, Materials, SubdomainProperty - 
% structures describing the design object (if Private is empty,
% it will be recalculated);
% settingsMagnetostatic - magnetostatic FE simulation settings;
% SwitchDutyCycle - switch duty cycle (120 or 180 degrees) for trapezoidal
% current waveform; SwitchDutyCycle can be empty for sinusoidal current
% waveform;

if ~exist('SwitchDutyCycle','var')
    SwitchDutyCycle=[];
end
calllib('MotorXPStub', 'runMStimestepping', Private,Geometry,Mesh,Windings,settingsMagnetostatic,Materials,SubdomainProperty,SwitchDutyCycle); 
end

